Filtering out specific subprojects (using 'is not' operator)

2013-12-27 13:32 - Miodrag Milic

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed   

Description

It should be possible to select multiple subproject for which you don't want issues in the list.

That is besides currently existing is, all, none there also needs to be is not. This can not be achieved by selecting multiple projects

except specific ones with is filter because new subprojects could be added.

Related issues:

Has duplicate Redmine - Feature #24677: Include in Subproject's filter a opti... Closed

Associated revisions

Revision 16196 - 2017-01-14 13:26 - Jean-Philippe Lang

Filtering out specific subprojects (using 'is not' operator) (#15773).

Patch by Marius BALTEANU.

Revision 19074 - 2019-11-16 10:43 - Jean-Philippe Lang

Merged r16196 to 3.3-stable (#15773).

History

#1 - 2016-12-24 06:32 - Go MAEDA

- Category changed from Issues to Issues filter

#2 - 2016-12-24 06:39 - Go MAEDA

- Has duplicate Feature #24677: Include in Subproject's filter a option 'is not' added

#3 - 2016-12-25 05:16 - Mischa The Evil

- Subject changed from Filtering out specific subprojects to Filtering out specific subprojects (using 'is not' operator)

#4 - 2016-12-26 10:35 - Marius BĂLTEANU

- File is_not_filter_for_subprojects.diff added

We are interested too in having the "is not" option available for subproject filter. Attached is a patch that implements this.

As a technical note, I changed in the existing implementation the "each(&:to_i)" to "map(&:to_i)" because the each method returns the same initial

array (with project ids as strings), while the map method returns a new array (with the project ids casted to integers).

#5 - 2016-12-26 13:06 - Go MAEDA

- Target version set to 3.4.0

It works fine for me and passed all tests. I think it is natural to have this feature.

Setting target version to 3.4.0.

Thank you for writing this patch so fast.

#6 - 2017-01-14 13:26 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang
- Resolution set to Fixed

Committed, thanks Marius.

Files

is_not_filter_for_subprojects.diff 3.83 KB 2016-12-26 Marius BĂLTEANU
